=== debian/changelog ===
schroedinger-coordgenlibs (1.1-3) unstable; urgency=medium

  * Team upload.
  * debian/rules (override_dh_install): Use DEB_HOST_MULTIARCH instead of
    DEB_BUILD_GNU_TYPE. 

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Jan 2019 16:33:22 +0100

schroedinger-coordgenlibs (1.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Added cmake and libboost-dev (Closes:
    #919333).

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 18:19:12 +0100

schroedinger-coordgenlibs (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #910499)

 -- Steffen Moeller <moeller@debian.org>  Sun, 07 Oct 2018 11:48:03 +0200
