=== debian/control ===
Source: schroedinger-coordgenlibs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev, cmake, libboost-dev
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/schrodinger/coordgenlibs
Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
Vcs-Git: https://salsa.debian.org/science-team/schroedinger-coordgenlibs.git

Package: libschroedinger-coordgenlibs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libschroedinger-coordgenlibs1 (= ${binary:Version}), ${misc:Depends}
Description: 2D coordinate generation for chemical compounds - header files
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
 .
 This package provides header files for developing against the API of that
 library.

Package: libschroedinger-coordgenlibs1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D coordinate generation for chemical compounds
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
