=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/include/coordgenlibs
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	cp *.h *.hpp $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/include/coordgenlibs/
	mv */*.so $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs1/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	mv */*.so.* $(CURDIR)/debian/libschroedinger-coordgenlibs1/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
