=== example_dir/CMakeLists.txt ===
add_executable(example example.cpp)
target_link_libraries(example coordgen)
