=== test/CMakeLists.txt ===
# Use the example executable as a test
add_test(example ${CMAKE_BINARY_DIR}/example_dir/example)
