=== debian/changelog ===
schroedinger-coordgenlibs (1.3-1build1) focal; urgency=medium

  * Rebuild to correct libmaeparser linking. LP: #1864569

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2020 23:05:33 +0000

schroedinger-coordgenlibs (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/SOVERSION.patch: Removed, no longer needed.
  * debian/patches/cmake-config.patch: Likewise.
  * debian/control (Build-Depends): Added libboost-iostreams-dev.
  * debian/rules (override_dh_install): Target removed.
  * debian/rules (override_dh_auto_configure): New target defininig
    CMAKE_PREFIX_PATH to /usr/lib/$(DEB_HOST_MULTIARCH)/cmake.
  * debian/patches/cmake_standard_dirs.patch: New patch, fixes installation
    directories.
  * debian/examples: Updated.
  * debian/libschroedinger-coordgenlibs-dev.install: Install default files.
  * debian/libschroedinger-coordgenlibs1.install: Likewise.
  * debian/control (Build-Depends): Added versioned Build-Depends on
    libschroedinger-maeparser-dev 1.2-1.

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Jul 2019 00:19:54 -0300

schroedinger-coordgenlibs (1.1-4) unstable; urgency=medium

  * debian/patches/cmake-config.patch: New patch, adds support for a
    -config.cmake file.
  * debian/rules (override_dh_install): Install header files into
    /usr/include/coordgen, not /usr/include/coordgenlibs.
  * debian/rules (override_dh_install): Install cmake files.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jul 2019 17:05:33 -0300
