=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: schroedinger-coordgenlibs
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev, cmake, libboost-dev
+Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev (>= 1.2-1), cmake, libboost-dev, libboost-iostreams-dev
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
