## schroedinger-coordgenlibs 1.4.0

=== debian/changelog ===
schroedinger-coordgenlibs (1.4.0-2build1) groovy; urgency=medium

  * No-change rebuild against libmaeparser1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 May 2020 16:20:53 +0000

schroedinger-coordgenlibs (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Installing templates.mae to usr/share/coordgen.
  * Bumping debhelper compat (no changes).
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 May 2020 04:17:28 -0400

schroedinger-coordgenlibs (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.4.0

 -- Andrius Merkys <merkys@debian.org>  Thu, 07 May 2020 07:55:29 -0400

schroedinger-coordgenlibs (1.3-3) unstable; urgency=medium

  * Team upload.
  * Adding missing build depends on zlib1g-dev.
  * Using variables from /usr/share/dpkg/architecture.mk instead of defining
    them in debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Apr 2020 03:56:57 -0400

schroedinger-coordgenlibs (1.3-2) unstable; urgency=medium

  * Team upload.
  * Wrapping and sorting.
  * Replacing libschroedinger-maeparser-dev with libmaeparser-dev.

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Apr 2020 02:42:57 -0400
