=== debian/control ===
Source: schroedinger-coordgenlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-test-dev,
 libmaeparser-dev,
 zlib1g-dev,
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/schrodinger/coordgenlibs
Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
Vcs-Git: https://salsa.debian.org/science-team/schroedinger-coordgenlibs.git
Rules-Requires-Root: no

Package: libcoordgen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcoordgen1 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libschroedinger-coordgenlibs-dev,
Replaces:
 libschroedinger-coordgenlibs-dev,
Description: 2D coordinate generation for chemical compounds - header files
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
 .
 This package provides header files for developing against the API of that
 library.

Package: libcoordgen1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libschroedinger-coordgenlibs1,
Replaces:
 libschroedinger-coordgenlibs1,
Description: 2D coordinate generation for chemical compounds
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
