=== debian/changelog ===
schroedinger-coordgenlibs (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1
  * Refreshing cmake_standard_dirs.patch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Jun 2020 01:46:08 -0400
