=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: schroedinger-coordgenlibs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
 Build-Depends:
