=== debian/changelog ===
schroedinger-coordgenlibs (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2
  * Refreshing cmake_standard_dirs.patch.
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Oct 2020 06:10:08 -0400
