## schroedinger-coordgenlibs 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,13 @@
 
 # Options
 option(COORDGEN_RIGOROUS_BUILD "Abort the build if the compiler issues \
-       any warnings" OFF )
+       any warnings" ON )
 option(COORDGEN_BUILD_TESTS "Whether test executables should be built" ON)
 option(COORDGEN_BUILD_EXAMPLE "Whether to build the sample executable" ON)
 option(COORDGEN_USE_MAEPARSER "Whether to allow loading of run-time templates" OFF)
 option(COORDGEN_BUILD_SHARED_LIBS "Build coordgen as a shared library \
        (turn off for a static one)" ON)
+option(DEBUG_COORDS "Whether to print minimization data and atom mapping to file" OFF)
 
 # Use the maeparser_DIR variable to tell CMake where to search for the
 # maeparser library.
@@ -58,6 +59,10 @@
     target_compile_definitions(coordgen PRIVATE "STATIC_COORDGEN")
 endif(COORDGEN_BUILD_SHARED_LIBS)
 
+if (DEBUG_COORDS)
+   target_compile_definitions(coordgen PRIVATE "DEBUG_MINIMIZATION_COORDINATES")
+endif()
+
 # Dependencies
 if (USE_MAEPARSER)
     if(TARGET maeparser)
@@ -81,13 +86,15 @@
 
 set_target_properties(coordgen
     PROPERTIES
-        VERSION 1.4.1
-        SOVERSION 1
+        VERSION 3.0.0
+        SOVERSION 3
 )
 
 if(MSVC)
     set(CMAKE_INSTALL_LIBDIR lib)
     set(CMAKE_INSTALL_BINDIR bin)
+else(MSVC)
+    include(GNUInstallDirs)
 endif(MSVC)
 
 # Install configuration
