=== debian/changelog ===
schroedinger-coordgenlibs (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Sep 2021 01:16:52 -0400

schroedinger-coordgenlibs (3.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.0.0
  * Refreshing patches.
  * Accommodating soversion change.

 -- Andrius Merkys <merkys@debian.org>  Thu, 16 Sep 2021 05:18:58 -0400

schroedinger-coordgenlibs (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.3
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Aug 2021 00:50:13 -0400

schroedinger-coordgenlibs (2.0.2-1) experimental; urgency=medium

  * Team upload.
  * Simplifying debian/watch.
  * New upstream version 2.0.2

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 Apr 2021 00:35:07 -0400

schroedinger-coordgenlibs (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.0.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Mar 2021 00:48:09 -0400
