=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libcoordgen1 (= ${binary:Version}),
+ libcoordgen3 (= ${binary:Version}),
  ${misc:Depends},
 Breaks:
  libschroedinger-coordgenlibs-dev,
@@ -37,7 +37,7 @@
  This package provides header files for developing against the API of that
  library.
 
-Package: libcoordgen1
+Package: libcoordgen3
 Architecture: any
 Multi-Arch: same
 Depends:
