## schroedinger-coordgenlibs 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 
 set_target_properties(coordgen
     PROPERTIES
-        VERSION 3.0.0
+        VERSION 3.0.1
         SOVERSION 3
 )
 
@@ -129,7 +129,7 @@
 
 install(EXPORT coordgen-targets
     FILE ${PROJECT_NAME}-config.cmake
-    DESTINATION lib/cmake)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
 
 # Example
 if(COORDGEN_BUILD_EXAMPLE)
