=== debian/changelog ===
schroedinger-coordgenlibs (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Drop patches (integrated upstream).
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 27 Sep 2022 04:00:37 -0400
