=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-test-dev,
  libmaeparser-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
 Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
