## schroedinger-coordgenlibs 3.0.2

=== debian/changelog ===
schroedinger-coordgenlibs (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Adjust CMake file location to make it findable by other packages.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Sep 2025 04:45:31 -0400

schroedinger-coordgenlibs (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Bump cmake_minimum_required (Closes: #1113486)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 03:54:11 -0400

schroedinger-coordgenlibs (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.2
  * Update standards version to 4.6.2, no changes needed.
  * Add myself to debian/copyright.
  * Wrap and sort.

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Jun 2023 01:28:06 -0400
