=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-test-dev,
  libmaeparser-dev,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
 Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
