=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-coordgenlibs-$1.tar.gz%" \
   https://github.com/schrodinger/coordgenlibs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
